리소스 그룹에 속한 BackupVault 리소스를 만들거나 업데이트합니다.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataProtection/backupVaults/{vaultName}?api-version=2026-03-01
URI 매개 변수
| Name |
In(다음 안에) |
필수 |
형식 |
Description |
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
대상 구독의 ID입니다. 값은 UUID여야 합니다.
|
|
vaultName
|
path |
True
|
string
|
BackupVaultResource의 이름
|
|
api-version
|
query |
True
|
string
minLength: 1
|
이 작업에 사용할 API 버전입니다.
|
| Name |
필수 |
형식 |
Description |
|
x-ms-authorization-auxiliary
|
|
string
|
|
|
x-ms-deleted-vault-id
|
|
string
|
삭제 취소 흐름 중에 복원할 삭제된 백업 자격 증명 모음의 ID입니다.
|
요청 본문
| Name |
필수 |
형식 |
Description |
|
location
|
True
|
string
|
리소스가 있는 지리적 위치
|
|
properties
|
True
|
BackupVault
|
BackupVaultResource 속성
|
|
eTag
|
|
string
|
선택적 ETag입니다.
|
|
identity
|
|
DppIdentityDetails
|
입력 관리 ID 세부 정보
|
|
tags
|
|
object
|
리소스 태그.
|
응답
| Name |
형식 |
Description |
|
200 OK
|
BackupVaultResource
|
리소스 'BackupVaultResource' 업데이트 작업에 성공했습니다.
|
|
201 Created
|
BackupVaultResource
|
리소스 'BackupVaultResource' 만들기 작업에 성공했습니다.
헤더
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
CloudError
|
예기치 않은 오류 응답입니다.
|
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name |
Description |
|
user_impersonation
|
사용자 계정 가장
|
예제
Create BackupVault
샘플 요청
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-03-01
{
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
import com.azure.resourcemanager.dataprotection.models.AlertsState;
import com.azure.resourcemanager.dataprotection.models.AzureMonitorAlertSettings;
import com.azure.resourcemanager.dataprotection.models.BackupVault;
import com.azure.resourcemanager.dataprotection.models.CrossRegionRestoreSettings;
import com.azure.resourcemanager.dataprotection.models.CrossRegionRestoreState;
import com.azure.resourcemanager.dataprotection.models.FeatureSettings;
import com.azure.resourcemanager.dataprotection.models.MonitoringSettings;
import com.azure.resourcemanager.dataprotection.models.SecuritySettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteSettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteState;
import com.azure.resourcemanager.dataprotection.models.StorageSetting;
import com.azure.resourcemanager.dataprotection.models.StorageSettingStoreTypes;
import com.azure.resourcemanager.dataprotection.models.StorageSettingTypes;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
/**
* Samples for BackupVaults CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVault.json
*/
/**
* Sample code: Create BackupVault.
*
* @param manager Entry point to DataProtectionManager.
*/
public static void createBackupVault(com.azure.resourcemanager.dataprotection.DataProtectionManager manager) {
manager.backupVaults().define("swaggerExample").withRegion("WestUS")
.withExistingResourceGroup("SampleResourceGroup")
.withProperties(new BackupVault()
.withMonitoringSettings(new MonitoringSettings().withAzureMonitorAlertSettings(
new AzureMonitorAlertSettings().withAlertsForAllJobFailures(AlertsState.ENABLED)))
.withSecuritySettings(new SecuritySettings().withSoftDeleteSettings(new SoftDeleteSettings()
.withState(SoftDeleteState.fromString("Enabled")).withRetentionDurationInDays(14.0D)))
.withStorageSettings(
Arrays.asList(new StorageSetting().withDatastoreType(StorageSettingStoreTypes.VAULT_STORE)
.withType(StorageSettingTypes.LOCALLY_REDUNDANT)))
.withFeatureSettings(new FeatureSettings().withCrossRegionRestoreSettings(
new CrossRegionRestoreSettings().withState(CrossRegionRestoreState.ENABLED))))
.withTags(mapOf("key1", "fakeTokenPlaceholder")).create();
}
// Use "Map.of" if available
@SuppressWarnings("unchecked")
private static <T> Map<String, T> mapOf(Object... inputs) {
Map<String, T> map = new HashMap<>();
for (int i = 0; i < inputs.length; i += 2) {
String key = (String) inputs[i];
T value = (T) inputs[i + 1];
map.put(key, value);
}
return map;
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"featureSettings": {"crossRegionRestoreSettings": {"state": "Enabled"}},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"}},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVault.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-03-01/VaultCRUD/PutBackupVault.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVault() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
FeatureSettings: &armdataprotection.FeatureSettings{
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: &armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelAdequate),
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVault.json
*/
async function createBackupVault() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
featureSettings: { crossRegionRestoreSettings: { state: "Enabled" } },
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: { softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" } },
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-03-01
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Provisioning",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create BackupVault With CMK
샘플 요청
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-03-01
{
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
},
"softDeleteSettings": {
"retentionDurationInDays": 0,
"state": "Off"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
import com.azure.resourcemanager.dataprotection.models.AlertsState;
import com.azure.resourcemanager.dataprotection.models.AzureMonitorAlertSettings;
import com.azure.resourcemanager.dataprotection.models.BackupVault;
import com.azure.resourcemanager.dataprotection.models.CmkKekIdentity;
import com.azure.resourcemanager.dataprotection.models.CmkKeyVaultProperties;
import com.azure.resourcemanager.dataprotection.models.EncryptionSettings;
import com.azure.resourcemanager.dataprotection.models.EncryptionState;
import com.azure.resourcemanager.dataprotection.models.IdentityType;
import com.azure.resourcemanager.dataprotection.models.ImmutabilitySettings;
import com.azure.resourcemanager.dataprotection.models.ImmutabilityState;
import com.azure.resourcemanager.dataprotection.models.InfrastructureEncryptionState;
import com.azure.resourcemanager.dataprotection.models.MonitoringSettings;
import com.azure.resourcemanager.dataprotection.models.SecuritySettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteSettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteState;
import com.azure.resourcemanager.dataprotection.models.StorageSetting;
import com.azure.resourcemanager.dataprotection.models.StorageSettingStoreTypes;
import com.azure.resourcemanager.dataprotection.models.StorageSettingTypes;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
/**
* Samples for BackupVaults CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVaultWithCMK.json
*/
/**
* Sample code: Create BackupVault With CMK.
*
* @param manager Entry point to DataProtectionManager.
*/
public static void
createBackupVaultWithCMK(com.azure.resourcemanager.dataprotection.DataProtectionManager manager) {
manager.backupVaults().define("swaggerExample").withRegion("WestUS")
.withExistingResourceGroup("SampleResourceGroup")
.withProperties(new BackupVault()
.withMonitoringSettings(new MonitoringSettings().withAzureMonitorAlertSettings(
new AzureMonitorAlertSettings().withAlertsForAllJobFailures(AlertsState.ENABLED)))
.withSecuritySettings(new SecuritySettings()
.withSoftDeleteSettings(
new SoftDeleteSettings().withState(SoftDeleteState.OFF).withRetentionDurationInDays(0.0D))
.withImmutabilitySettings(new ImmutabilitySettings().withState(ImmutabilityState.DISABLED))
.withEncryptionSettings(new EncryptionSettings().withState(EncryptionState.ENABLED)
.withKeyVaultProperties(new CmkKeyVaultProperties().withKeyUri("fakeTokenPlaceholder"))
.withKekIdentity(
new CmkKekIdentity().withIdentityType(IdentityType.USER_ASSIGNED).withIdentityId(
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"))
.withInfrastructureEncryption(InfrastructureEncryptionState.ENABLED)))
.withStorageSettings(
Arrays.asList(new StorageSetting().withDatastoreType(StorageSettingStoreTypes.VAULT_STORE)
.withType(StorageSettingTypes.LOCALLY_REDUNDANT))))
.withTags(mapOf("key1", "fakeTokenPlaceholder")).create();
}
// Use "Map.of" if available
@SuppressWarnings("unchecked")
private static <T> Map<String, T> mapOf(Object... inputs) {
Map<String, T> map = new HashMap<>();
for (int i = 0; i < inputs.length; i += 2) {
String key = (String) inputs[i];
T value = (T) inputs[i + 1];
map.put(key, value);
}
return map;
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_cmk.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned",
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled",
},
"immutabilitySettings": {"state": "Disabled"},
"softDeleteSettings": {"retentionDurationInDays": 0, "state": "Off"},
},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVaultWithCMK.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-03-01/VaultCRUD/PutBackupVaultWithCMK.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVaultWithCmk() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
EncryptionSettings: &armdataprotection.EncryptionSettings{
InfrastructureEncryption: to.Ptr(armdataprotection.InfrastructureEncryptionStateEnabled),
KekIdentity: &armdataprotection.CmkKekIdentity{
IdentityID: to.Ptr("/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"),
IdentityType: to.Ptr(armdataprotection.IdentityTypeUserAssigned),
},
KeyVaultProperties: &armdataprotection.CmkKeyVaultProperties{
KeyURI: to.Ptr("https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"),
},
State: to.Ptr(armdataprotection.EncryptionStateEnabled),
},
ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
},
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](0),
State: to.Ptr(armdataprotection.SoftDeleteStateOff),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: &armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVaultWithCMK.json
*/
async function createBackupVaultWithCMK() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: {
encryptionSettings: {
infrastructureEncryption: "Enabled",
kekIdentity: {
identityId:
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
identityType: "UserAssigned",
},
keyVaultProperties: {
keyUri: "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3",
},
state: "Enabled",
},
immutabilitySettings: { state: "Disabled" },
softDeleteSettings: { retentionDurationInDays: 0, state: "Off" },
},
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2023-04-01-privatepreview
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Provisioning",
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
},
"softDeleteSettings": {
"retentionDurationInDays": 0,
"state": "Off"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create BackupVault With MSI
샘플 요청
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-03-01
{
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
import com.azure.resourcemanager.dataprotection.models.AlertsState;
import com.azure.resourcemanager.dataprotection.models.AzureMonitorAlertSettings;
import com.azure.resourcemanager.dataprotection.models.BackupVault;
import com.azure.resourcemanager.dataprotection.models.CrossRegionRestoreSettings;
import com.azure.resourcemanager.dataprotection.models.CrossRegionRestoreState;
import com.azure.resourcemanager.dataprotection.models.FeatureSettings;
import com.azure.resourcemanager.dataprotection.models.MonitoringSettings;
import com.azure.resourcemanager.dataprotection.models.SecuritySettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteSettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteState;
import com.azure.resourcemanager.dataprotection.models.StorageSetting;
import com.azure.resourcemanager.dataprotection.models.StorageSettingStoreTypes;
import com.azure.resourcemanager.dataprotection.models.StorageSettingTypes;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
/**
* Samples for BackupVaults CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVaultWithMSI.json
*/
/**
* Sample code: Create BackupVault With MSI.
*
* @param manager Entry point to DataProtectionManager.
*/
public static void
createBackupVaultWithMSI(com.azure.resourcemanager.dataprotection.DataProtectionManager manager) {
manager.backupVaults().define("swaggerExample").withRegion("WestUS")
.withExistingResourceGroup("SampleResourceGroup")
.withProperties(new BackupVault()
.withMonitoringSettings(new MonitoringSettings().withAzureMonitorAlertSettings(
new AzureMonitorAlertSettings().withAlertsForAllJobFailures(AlertsState.ENABLED)))
.withSecuritySettings(new SecuritySettings().withSoftDeleteSettings(new SoftDeleteSettings()
.withState(SoftDeleteState.fromString("Enabled")).withRetentionDurationInDays(14.0D)))
.withStorageSettings(
Arrays.asList(new StorageSetting().withDatastoreType(StorageSettingStoreTypes.VAULT_STORE)
.withType(StorageSettingTypes.LOCALLY_REDUNDANT)))
.withFeatureSettings(new FeatureSettings().withCrossRegionRestoreSettings(
new CrossRegionRestoreSettings().withState(CrossRegionRestoreState.ENABLED))))
.withTags(mapOf("key1", "fakeTokenPlaceholder")).create();
}
// Use "Map.of" if available
@SuppressWarnings("unchecked")
private static <T> Map<String, T> mapOf(Object... inputs) {
Map<String, T> map = new HashMap<>();
for (int i = 0; i < inputs.length; i += 2) {
String key = (String) inputs[i];
T value = (T) inputs[i + 1];
map.put(key, value);
}
return map;
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_msi.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"featureSettings": {"crossRegionRestoreSettings": {"state": "Enabled"}},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"}},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVaultWithMSI.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-03-01/VaultCRUD/PutBackupVaultWithMSI.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVaultWithMsi() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
FeatureSettings: &armdataprotection.FeatureSettings{
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: &armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelAdequate),
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-03-01/VaultCRUD/PutBackupVaultWithMSI.json
*/
async function createBackupVaultWithMSI() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
featureSettings: { crossRegionRestoreSettings: { state: "Enabled" } },
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: { softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" } },
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-03-01
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Provisioning",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create or Update Backup Vault With CMK and Resource Guard Enabled
샘플 요청
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-03-01
{
"location": "WestUS",
"tags": {
"key1": "val1"
},
"identity": {
"type": "None"
},
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"state": "Off",
"retentionDurationInDays": 0
},
"immutabilitySettings": {
"state": "Disabled"
},
"encryptionSettings": {
"state": "Enabled",
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"kekIdentity": {
"identityType": "UserAssigned",
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"infrastructureEncryption": "Enabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
]
}
}
샘플 응답
Retry-After: 10
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2026-03-01
{
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"location": "WestUS",
"tags": {
"key1": "val1"
},
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"state": "Off",
"retentionDurationInDays": 0
},
"immutabilitySettings": {
"state": "Disabled"
},
"encryptionSettings": {
"state": "Enabled",
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"kekIdentity": {
"identityType": "UserAssigned",
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"infrastructureEncryption": "Enabled"
}
},
"resourceGuardOperationRequests": [
"/subscriptions/754ec39f-8d2a-44cf-bfbf-13107ac85c36/resourcegroups/mua-testing/providers/Microsoft.DataProtection/resourceGuards/gvjreddy-test-ecy-rg-reader/dppModifyEncryptionSettingsRequests/default"
],
"provisioningState": "Provisioning",
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
]
}
}
{
"identity": {
"type": "None"
},
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"location": "WestUS",
"tags": {
"key1": "val1"
},
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
]
}
}
Restore a soft-deleted backup vault
샘플 요청
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-03-01
{
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
],
"featureSettings": {
"crossSubscriptionRestoreSettings": {
"state": "Disabled"
},
"crossRegionRestoreSettings": {
"state": "Enabled"
}
}
},
"tags": {
"key1": "val1"
}
}
import com.azure.resourcemanager.dataprotection.models.AlertsState;
import com.azure.resourcemanager.dataprotection.models.AzureMonitorAlertSettings;
import com.azure.resourcemanager.dataprotection.models.BackupVault;
import com.azure.resourcemanager.dataprotection.models.CrossRegionRestoreSettings;
import com.azure.resourcemanager.dataprotection.models.CrossRegionRestoreState;
import com.azure.resourcemanager.dataprotection.models.CrossSubscriptionRestoreSettings;
import com.azure.resourcemanager.dataprotection.models.CrossSubscriptionRestoreState;
import com.azure.resourcemanager.dataprotection.models.FeatureSettings;
import com.azure.resourcemanager.dataprotection.models.ImmutabilitySettings;
import com.azure.resourcemanager.dataprotection.models.ImmutabilityState;
import com.azure.resourcemanager.dataprotection.models.MonitoringSettings;
import com.azure.resourcemanager.dataprotection.models.SecuritySettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteSettings;
import com.azure.resourcemanager.dataprotection.models.SoftDeleteState;
import com.azure.resourcemanager.dataprotection.models.StorageSetting;
import com.azure.resourcemanager.dataprotection.models.StorageSettingStoreTypes;
import com.azure.resourcemanager.dataprotection.models.StorageSettingTypes;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
/**
* Samples for BackupVaults CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-03-01/PutBackupVaultWithUndelete.json
*/
/**
* Sample code: Restore a soft-deleted backup vault.
*
* @param manager Entry point to DataProtectionManager.
*/
public static void
restoreASoftDeletedBackupVault(com.azure.resourcemanager.dataprotection.DataProtectionManager manager) {
manager.backupVaults().define("swaggerExample").withRegion("WestUS")
.withExistingResourceGroup("SampleResourceGroup")
.withProperties(new BackupVault()
.withMonitoringSettings(new MonitoringSettings().withAzureMonitorAlertSettings(
new AzureMonitorAlertSettings().withAlertsForAllJobFailures(AlertsState.ENABLED)))
.withSecuritySettings(new SecuritySettings()
.withSoftDeleteSettings(new SoftDeleteSettings().withState(SoftDeleteState.fromString("Enabled"))
.withRetentionDurationInDays(14.0D))
.withImmutabilitySettings(new ImmutabilitySettings().withState(ImmutabilityState.DISABLED)))
.withStorageSettings(
Arrays.asList(new StorageSetting().withDatastoreType(StorageSettingStoreTypes.VAULT_STORE)
.withType(StorageSettingTypes.LOCALLY_REDUNDANT)))
.withFeatureSettings(new FeatureSettings()
.withCrossSubscriptionRestoreSettings(
new CrossSubscriptionRestoreSettings().withState(CrossSubscriptionRestoreState.DISABLED))
.withCrossRegionRestoreSettings(
new CrossRegionRestoreSettings().withState(CrossRegionRestoreState.ENABLED))))
.withTags(mapOf("key1", "fakeTokenPlaceholder"))
.withXMsDeletedVaultId(
"/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/WestUS/deletedVaults/swaggerExample")
.create();
}
// Use "Map.of" if available
@SuppressWarnings("unchecked")
private static <T> Map<String, T> mapOf(Object... inputs) {
Map<String, T> map = new HashMap<>();
for (int i = 0; i < inputs.length; i += 2) {
String key = (String) inputs[i];
T value = (T) inputs[i + 1];
map.put(key, value);
}
return map;
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_undelete.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {"state": "Enabled"},
"crossSubscriptionRestoreSettings": {"state": "Disabled"},
},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {
"immutabilitySettings": {"state": "Disabled"},
"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"},
},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-03-01/PutBackupVaultWithUndelete.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-03-01/PutBackupVaultWithUndelete.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_restoreASoftDeletedBackupVault() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
},
},
FeatureSettings: &armdataprotection.FeatureSettings{
CrossSubscriptionRestoreSettings: &armdataprotection.CrossSubscriptionRestoreSettings{
State: to.Ptr(armdataprotection.CrossSubscriptionRestoreStateDisabled),
},
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, &armdataprotection.BackupVaultsClientBeginCreateOrUpdateOptions{
XMSDeletedVaultID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/WestUS/deletedVaults/swaggerExample")})
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: &armdataprotection.BackupVaultResource{
// Location: to.Ptr("WestUS"),
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/BackupVaults/swaggerExample"),
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/BackupVaults"),
// Properties: &armdataprotection.BackupVault{
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// ResourceMoveState: to.Ptr(armdataprotection.ResourceMoveStateUnknown),
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
// State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// },
// },
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossSubscriptionRestoreSettings: &armdataprotection.CrossSubscriptionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossSubscriptionRestoreStateDisabled),
// },
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelMaximum),
// IsVaultProtectedByResourceGuard: to.Ptr(false),
// ResourceGuardOperationRequests: []*string{
// },
// ReplicatedRegions: []*string{
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-03-01/PutBackupVaultWithUndelete.json
*/
async function restoreASoftDeletedBackupVault() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate(
"SampleResourceGroup",
"swaggerExample",
{
location: "WestUS",
properties: {
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: {
softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" },
immutabilitySettings: { state: "Disabled" },
},
storageSettings: [{ datastoreType: "VaultStore", type: "LocallyRedundant" }],
featureSettings: {
crossSubscriptionRestoreSettings: { state: "Disabled" },
crossRegionRestoreSettings: { state: "Enabled" },
},
},
tags: { key1: "val1" },
},
{
xMsDeletedVaultId:
"/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/WestUS/deletedVaults/swaggerExample",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"location": "WestUS",
"tags": {
"key1": "val1"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/BackupVaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/BackupVaults",
"properties": {
"provisioningState": "Succeeded",
"resourceMoveState": "Unknown",
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
],
"featureSettings": {
"crossSubscriptionRestoreSettings": {
"state": "Disabled"
},
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"secureScore": "Maximum",
"isVaultProtectedByResourceGuard": false,
"resourceGuardOperationRequests": [],
"replicatedRegions": []
}
}
{
"location": "WestUS",
"tags": {
"key1": "val1"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/BackupVaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/BackupVaults",
"properties": {
"provisioningState": "Succeeded",
"resourceMoveState": "Unknown",
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
],
"featureSettings": {
"crossSubscriptionRestoreSettings": {
"state": "Disabled"
},
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"secureScore": "Maximum",
"isVaultProtectedByResourceGuard": false,
"resourceGuardOperationRequests": [],
"replicatedRegions": []
}
}
정의
AlertsState
열거형
| 값 |
Description |
|
Enabled
|
|
|
Disabled
|
|
AzureMonitorAlertSettings
Object
Azure Monitor 기반 경고에 대한 설정
| Name |
형식 |
Description |
|
alertsForAllJobFailures
|
AlertsState
|
|
BackupVault
Object
백업 볼트
BackupVaultResource
Object
Backup 자격 증명 모음 리소스
| Name |
형식 |
Description |
|
eTag
|
string
|
선택적 ETag입니다.
|
|
id
|
string
(arm-id)
|
리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
identity
|
DppIdentityDetails
|
입력 관리 ID 세부 정보
|
|
location
|
string
|
리소스가 있는 지리적 위치
|
|
name
|
string
|
리소스의 이름
|
|
properties
|
BackupVault
|
BackupVaultResource 속성
|
|
systemData
|
systemData
|
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.
|
|
tags
|
object
|
리소스 태그.
|
|
type
|
string
|
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"
|
BCDRSecurityLevel
열거형
Backup 자격 증명 모음의 보안 수준
| 값 |
Description |
|
Poor
|
|
|
Fair
|
|
|
Good
|
|
|
Excellent
|
|
|
NotSupported
|
|
CloudError
Object
Azure Backup의 오류 응답입니다.
| Name |
형식 |
Description |
|
error
|
Error
|
리소스 관리 오류 응답입니다.
|
CmkKekIdentity
Object
CMK에 사용되는 관리 ID의 세부 정보
| Name |
형식 |
Description |
|
identityId
|
string
|
Key Vault에 대한 액세스 권한이 있는 사용할 관리 ID입니다. ID 유형이 'UserAssigned'인 경우에만 여기에 값을 입력합니다.
|
|
identityType
|
IdentityType
|
ID 형식입니다. 'SystemAssigned' 및 'UserAssigned'는 함께 사용할 수 없습니다. 'SystemAssigned'는 암시적으로 생성된 관리 ID를 사용합니다.
|
CmkKeyVaultProperties
Object
CMK를 호스트하는 Key Vault의 속성
| Name |
형식 |
Description |
|
keyUri
|
string
|
고객 관리형 키의 키 URI
|
createdByType
열거형
리소스를 만든 ID의 형식입니다.
| 값 |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
CrossRegionRestoreSettings
Object
CrossRegionRestoreState
열거형
CrossRegionRestore 상태
| 값 |
Description |
|
Disabled
|
|
|
Enabled
|
|
CrossSubscriptionRestoreSettings
Object
CrossSubscriptionRestore 설정
CrossSubscriptionRestoreState
열거형
CrossSubscriptionRestore 상태
| 값 |
Description |
|
Disabled
|
|
|
PermanentlyDisabled
|
|
|
Enabled
|
|
DppIdentityDetails
Object
ID 세부 정보
| Name |
형식 |
Description |
|
principalId
|
string
|
Azure 리소스에 대한 역할 기반 액세스 권한을 부여하는 데 사용되는 관리 ID에 대한 서비스 주체 개체의 개체 ID입니다.
|
|
tenantId
|
string
|
리소스가 멤버인 Azure AD 테넌트를 나타내는 GUID(Globally Unique Identifier)입니다.
|
|
type
|
string
|
SystemAssigned, UserAssigned, 'SystemAssigned, UserAssigned' 또는 None일 수 있는 identityType
|
|
userAssignedIdentities
|
<string,
UserAssignedIdentity>
|
사용자 할당 ID를 가져오거나 설정합니다.
|
encryptionSettings
Object
리소스의 고객 관리형 키 세부 정보입니다.
EncryptionState
열거형
Backup 자격 증명 모음의 암호화 상태입니다.
| 값 |
Description |
|
Enabled
|
백업 자격 증명 모음에서 CMK 암호화를 사용하도록 설정됨
|
|
Disabled
|
백업 자격 증명 모음에서 CMK 암호화를 사용할 수 없습니다. 암호화 상태가 '사용'인 경우 사용자는 이 상태를 설정할 수 없습니다.
|
|
Inconsistent
|
CMK 암호화는 Backup 자격 증명 모음에서 일관되지 않은 상태입니다. 이 상태는 사용자가 상태를 수정하기 위해 암호화 설정 작업을 즉시 다시 시도해야 했음을 나타냅니다.
|
Error
Object
리소스 관리 오류 응답입니다.
| Name |
형식 |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
오류 추가 정보입니다.
|
|
code
|
string
|
오류 코드입니다.
|
|
details
|
Error[]
|
오류 세부 정보입니다.
|
|
message
|
string
|
오류 메시지입니다.
|
|
target
|
string
|
오류 대상입니다.
|
ErrorAdditionalInfo
Object
리소스 관리 오류 추가 정보입니다.
| Name |
형식 |
Description |
|
info
|
object
|
추가 정보입니다.
|
|
type
|
string
|
추가 정보 유형입니다.
|
FeatureSettings
Object
자격 증명 모음의 기능 설정을 포함하는 클래스
IdentityType
열거형
ID 형식입니다. 'SystemAssigned' 및 'UserAssigned'는 함께 사용할 수 없습니다. 'SystemAssigned'는 암시적으로 생성된 관리 ID를 사용합니다.
| 값 |
Description |
|
SystemAssigned
|
|
|
UserAssigned
|
|
ImmutabilitySettings
Object
자격 증명 모음 수준의 불변성 설정
ImmutabilityState
열거형
불변성 상태
| 값 |
Description |
|
Disabled
|
|
|
Unlocked
|
|
|
Locked
|
|
InfrastructureEncryptionState
열거형
이중 암호화 상태 사용/사용 안 함
| 값 |
Description |
|
Enabled
|
|
|
Disabled
|
|
MonitoringSettings
Object
모니터링 설정
ProvisioningState
열거형
BackupVault 리소스의 프로비전 상태
| 값 |
Description |
|
Failed
|
|
|
Provisioning
|
|
|
Succeeded
|
|
|
Unknown
|
|
|
Updating
|
|
ResourceMoveDetails
Object
ARM의 GetResource 호출에 대한 응답으로 ResourceMoveDetails가 반환됩니다.
| Name |
형식 |
Description |
|
completionTimeUtc
|
string
|
최신 ResourceMove 작업의 완료 시간(UTC)이 시도되었습니다. ISO 8601 형식입니다.
|
|
operationId
|
string
|
시도된 최신 ResourceMove 작업의 CorrelationId
|
|
sourceResourcePath
|
string
|
원본 리소스의 ARM 리소스 경로
|
|
startTimeUtc
|
string
|
시도된 최신 ResourceMove 작업의 UTC 시작 시간입니다. ISO 8601 형식입니다.
|
|
targetResourcePath
|
string
|
최신 ResourceMove 작업에 사용되는 대상 리소스의 ARM 리소스 경로
|
ResourceMoveState
열거형
백업 자격 증명 모음에 대한 리소스 이동 상태
| 값 |
Description |
|
Unknown
|
|
|
InProgress
|
|
|
PrepareFailed
|
|
|
CommitFailed
|
|
|
Failed
|
|
|
PrepareTimedout
|
|
|
CommitTimedout
|
|
|
CriticalFailure
|
|
|
PartialSuccess
|
|
|
MoveSucceeded
|
|
SecureScoreLevel
열거형
Backup 자격 증명 모음의 보안 점수
| 값 |
Description |
|
None
|
|
|
Minimum
|
|
|
Adequate
|
|
|
Maximum
|
|
|
NotSupported
|
|
SecuritySettings
Object
자격 증명 모음의 보안 설정을 포함하는 클래스
SoftDeleteSettings
Object
일시 삭제 관련 설정
| Name |
형식 |
Description |
|
retentionDurationInDays
|
number
(double)
|
일시 삭제 보존 기간
|
|
state
|
SoftDeleteState
|
일시 삭제 상태
|
SoftDeleteState
열거형
일시 삭제 상태
| 값 |
Description |
|
Off
|
BackupVault에 대해 일시 삭제가 해제됨
|
|
On
|
BackupVault에 대해 일시 삭제를 사용할 수 있지만 해제할 수 있습니다.
|
|
AlwaysOn
|
BackupVault에 대해 일시 삭제가 영구적으로 사용되며 설정을 변경할 수 없습니다.
|
StorageSetting
Object
스토리지 설정
StorageSettingStoreTypes
열거형
데이터 저장소의 형식을 가져오거나 설정합니다.
| 값 |
Description |
|
ArchiveStore
|
|
|
OperationalStore
|
|
|
VaultStore
|
|
StorageSettingTypes
열거형
형식을 가져오거나 설정합니다.
| 값 |
Description |
|
GeoRedundant
|
|
|
LocallyRedundant
|
|
|
ZoneRedundant
|
|
systemData
Object
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name |
형식 |
Description |
|
createdAt
|
string
(date-time)
|
리소스 만들기의 타임스탬프(UTC)입니다.
|
|
createdBy
|
string
|
리소스를 만든 ID입니다.
|
|
createdByType
|
createdByType
|
리소스를 만든 ID의 형식입니다.
|
|
lastModifiedAt
|
string
(date-time)
|
리소스 마지막 수정의 타임스탬프(UTC)
|
|
lastModifiedBy
|
string
|
리소스를 마지막으로 수정한 ID입니다.
|
|
lastModifiedByType
|
createdByType
|
리소스를 마지막으로 수정한 ID의 형식입니다.
|
UserAssignedIdentity
Object
사용자 할당 ID 속성
| Name |
형식 |
Description |
|
clientId
|
string
(uuid)
|
할당된 ID의 클라이언트 ID입니다.
|
|
principalId
|
string
(uuid)
|
할당된 ID의 보안 주체 ID입니다.
|